Name | Type | Default |
allowValueChangeOnClick
|
Boolean
|
true
|
Sets or gets the allowValueChangeOnClick property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxKnob #myKnob [value]="60" [min]="0" [max]="100" [startAngle]="120" [endAngle]="420" [marks]="marks" [labels]="labels" [pointer]="pointer" [allowValueChangeOnClick]="true"> </jqxKnob> ` }) export class AppComponent { marks: any = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; labels: any = { offset: '88%', step: 10, visible: true }; pointer: any = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20
|
allowValueChangeOnDrag
|
Boolean
|
true
|
Sets or gets the allowValueChangeOnDrag property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxKnob #myKnob [value]="60" [min]="0" [max]="100" [startAngle]="120" [endAngle]="420" [marks]="marks" [labels]="labels" [pointer]="pointer" [allowValueChangeOnDrag]="true"> </jqxKnob> ` }) export class AppComponent { marks: any = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; labels: any = { offset: '88%', step: 10, visible: true }; pointer: any = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20
|
allowValueChangeOnMouseWheel
|
Boolean
|
true
|
Sets or gets the allowValueChangeOnMouseWheel property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxKnob #myKnob [value]="60" [min]="0" [max]="100" [startAngle]="120" [endAngle]="420" [marks]="marks" [labels]="labels" [pointer]="pointer" [allowValueChangeOnMouseWheel]="true"> </jqxKnob> ` }) export class AppComponent { marks: any = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; labels: any = { offset: '88%', step: 10, visible: true }; pointer: any = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20
|
changing
|
(oldValue: String | Number, newValue: String | Number) => Boolean
|
null
|
Sets or gets the changing property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxKnob #myKnob [value]="60" [min]="0" [max]="100" [startAngle]="120" [endAngle]="420" [marks]="marks" [labels]="labels" [pointer]="pointer" [changing]="changing"> </jqxKnob> ` }) export class AppComponent { marks: any = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; labels: any = { offset: '88%', step: 10, visible: true }; pointer: any = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20
|
dragEndAngle
|
Number
|
0
|
Sets or gets the dragEndAngle property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxKnob #myKnob [value]="60" [min]="0" [max]="100" [startAngle]="120" [endAngle]="420" [marks]="marks" [labels]="labels" [pointer]="pointer" [dragEndAngle]="420"> </jqxKnob> ` }) export class AppComponent { marks: any = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; labels: any = { offset: '88%', step: 10, visible: true }; pointer: any = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20
|
dragStartAngle
|
Number
|
360
|
Sets or gets the dragStartAngle property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxKnob #myKnob [value]="60" [min]="0" [max]="100" [startAngle]="120" [endAngle]="420" [marks]="marks" [labels]="labels" [pointer]="pointer" [dragStartAngle]="120"> </jqxKnob> ` }) export class AppComponent { marks: any = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; labels: any = { offset: '88%', step: 10, visible: true }; pointer: any = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20
|
disabled
|
Boolean
|
false
|
Sets or gets the disabled property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxKnob #myKnob [value]="60" [min]="0" [max]="100" [startAngle]="120" [endAngle]="420" [marks]="marks" [labels]="labels" [pointer]="pointer" [disabled]="true"> </jqxKnob> ` }) export class AppComponent { marks: any = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; labels: any = { offset: '88%', step: 10, visible: true }; pointer: any = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20
|
dial
|
KnobDial
|
null
|
interface KnobDial { innerRadius?: Any; outerRadius?: Any; style?: Any; startAngle?: Number; endAngle?: Number; } Sets or gets the dial property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxKnob #myKnob [value]="60" [min]="0" [max]="100" [startAngle]="120" [endAngle]="420" [marks]="marks" [labels]="labels" [pointer]="pointer" [dial]="dial"> </jqxKnob> ` }) export class AppComponent { marks: any = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; labels: any = { offset: '88%', step: 10, visible: true }; pointer: any = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20
|
endAngle
|
Number
|
360
|
Sets or gets the endAngle property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxKnob #myKnob [value]="60" [min]="0" [max]="100" [startAngle]="120" [endAngle]="420" [marks]="marks" [labels]="labels" [pointer]="pointer"> </jqxKnob> ` }) export class AppComponent { marks: any = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; labels: any = { offset: '88%', step: 10, visible: true }; pointer: any = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20
|
height
|
String | Number
|
400
|
Sets or gets the height property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxKnob #myKnob [value]="60" [min]="0" [max]="100" [startAngle]="120" [endAngle]="420" [marks]="marks" [labels]="labels" [pointer]="pointer" [height]="400"> </jqxKnob> ` }) export class AppComponent { marks: any = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; labels: any = { offset: '88%', step: 10, visible: true }; pointer: any = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20
|
labels
|
KnobLabels
|
null
|
interface KnobLabels { rotate?: Any; offset?: String | Number; visible?: Boolean; step?: Number; style?: Any; formatFunction?: (label: String | Number) => String | Number; } Sets or gets the labels property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxKnob #myKnob [value]="60" [min]="0" [max]="100" [startAngle]="120" [endAngle]="420" [marks]="marks" [labels]="labels" [pointer]="pointer"> </jqxKnob> ` }) export class AppComponent { marks: any = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; labels: any = { offset: '88%', step: 10, visible: true }; pointer: any = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20
|
marks
|
KnobMarks
|
null
|
interface KnobMarks { colorProgress?: Any; colorRemaining?: Any; drawAboveProgressBar?: Boolean; minorInterval?: Number; majorInterval?: Number; majorSize?: String | Number; offset?: String; rotate?: Boolean; size?: String | Number; type?: KnobSpinnerMarksType; thickness?: Number; visible?: Boolean; } Sets or gets the marks property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxKnob #myKnob [value]="60" [min]="0" [max]="100" [startAngle]="120" [endAngle]="420" [marks]="marks" [labels]="labels" [pointer]="pointer"> </jqxKnob> ` }) export class AppComponent { marks: any = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; labels: any = { offset: '88%', step: 10, visible: true }; pointer: any = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20
|
min
|
Number
|
0
|
Sets or gets the min property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxKnob #myKnob [value]="60" [min]="0" [max]="100" [startAngle]="120" [endAngle]="420" [marks]="marks" [labels]="labels" [pointer]="pointer"> </jqxKnob> ` }) export class AppComponent { marks: any = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; labels: any = { offset: '88%', step: 10, visible: true }; pointer: any = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20
|
max
|
Number
|
100
|
Sets or gets the max property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxKnob #myKnob [value]="60" [min]="0" [max]="100" [startAngle]="120" [endAngle]="420" [marks]="marks" [labels]="labels" [pointer]="pointer"> </jqxKnob> ` }) export class AppComponent { marks: any = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; labels: any = { offset: '88%', step: 10, visible: true }; pointer: any = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20
|
progressBar
|
KnobProgressBar
|
null
|
interface KnobProgressBar { offset?: String | Number; style?: Any; size?: String | Number; background?: Any; ranges?: Array<Any>; } Sets or gets the progressBar property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxKnob #myKnob [value]="60" [min]="0" [max]="100" [startAngle]="120" [endAngle]="420" [marks]="marks" [labels]="labels" [pointer]="pointer" [progressBar]="progressBar"> </jqxKnob> ` }) export class AppComponent { marks: any = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; labels: any = { offset: '88%', step: 10, visible: true }; pointer: any = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20
|
pointer
|
KnobPointer
|
null
|
interface KnobPointer { offset?: String | Number; type?: String; style?: Any; size?: Number | String; thickness?: Number; visible?: Boolean; } Sets or gets the pointer property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxKnob #myKnob [value]="60" [min]="0" [max]="100" [startAngle]="120" [endAngle]="420" [marks]="marks" [labels]="labels" [pointer]="pointer"> </jqxKnob> ` }) export class AppComponent { marks: any = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; labels: any = { offset: '88%', step: 10, visible: true }; pointer: any = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20
|
pointerGrabAction
|
enum:KnobPointerGrabAction
|
"normal"
|
enum KnobPointerGrabAction { normal, progressBar, pointer } Sets or gets the pointerGrabAction property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxKnob #myKnob [value]="60" [min]="0" [max]="100" [startAngle]="120" [endAngle]="420" [marks]="marks" [labels]="labels" [pointer]="pointer" [pointerGrabAction]="'normal'"> </jqxKnob> ` }) export class AppComponent { marks: any = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; labels: any = { offset: '88%', step: 10, visible: true }; pointer: any = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20
|
rotation
|
enum:KnobRotation
|
"clockwise"
|
enum KnobRotation { clockwise, counterclockwise } Sets or gets the rotation property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxKnob #myKnob [value]="60" [min]="0" [max]="100" [startAngle]="120" [endAngle]="420" [marks]="marks" [labels]="labels" [pointer]="pointer" [rotation]="'counterclockwise'"> </jqxKnob> ` }) export class AppComponent { marks: any = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; labels: any = { offset: '88%', step: 10, visible: true }; pointer: any = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20
|
startAngle
|
Number
|
0
|
Sets or gets the startAngle property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxKnob #myKnob [value]="60" [min]="0" [max]="100" [startAngle]="120" [endAngle]="420" [marks]="marks" [labels]="labels" [pointer]="pointer"> </jqxKnob> ` }) export class AppComponent { marks: any = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; labels: any = { offset: '88%', step: 10, visible: true }; pointer: any = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20
|
spinner
|
KnobSpinner
|
null
|
interface KnobSpinner { innerRadius?: Any; outerRadius?: Any; style?: Any; marks?: KnobMarks; } interface KnobMarks { colorProgress?: Any; colorRemaining?: Any; drawAboveProgressBar?: Boolean; minorInterval?: Number; majorInterval?: Number; majorSize?: String | Number; offset?: String; rotate?: Boolean; size?: String | Number; type?: KnobSpinnerMarksType; thickness?: Number; visible?: Boolean; } Sets or gets the spinner property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxKnob #myKnob [value]="60" [min]="0" [max]="100" [startAngle]="120" [endAngle]="420" [marks]="marks" [labels]="labels" [pointer]="pointer" [spinner]="spinner"> </jqxKnob> ` }) export class AppComponent { marks: any = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; labels: any = { offset: '88%', step: 10, visible: true }; pointer: any = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20
|
style
|
KnobStyle
|
null
|
interface KnobStyle { fill?: Any; stroke?: String; strokeWidth?: Number; } Sets or gets the style property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxKnob #myKnob [value]="60" [min]="0" [max]="100" [startAngle]="120" [endAngle]="420" [marks]="marks" [labels]="labels" [pointer]="pointer" [style]='{ stroke: '#dfe3e9', strokeWidth: 3, fill: { color: '#fefefe', gradientType: "linear", gradientStops: [[0, 1], [50, 0.9], [100, 1]] } }' > </jqxKnob> ` }) export class AppComponent { marks: any = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; labels: any = { offset: '88%', step: 10, visible: true }; pointer: any = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20
|
step
|
Number
|
1
|
Sets or gets the step property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxKnob #myKnob [value]="60" [min]="0" [max]="100" [startAngle]="120" [endAngle]="420" [marks]="marks" [labels]="labels" [pointer]="pointer" [step]="10"> </jqxKnob> ` }) export class AppComponent { marks: any = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; labels: any = { offset: '88%', step: 10, visible: true }; pointer: any = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20
|
snapToStep
|
Boolean
|
true
|
Sets or gets the snapToStep property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxKnob #myKnob [value]="60" [min]="0" [max]="100" [startAngle]="120" [endAngle]="420" [marks]="marks" [labels]="labels" [pointer]="pointer" [snapToStep]="false"> </jqxKnob> ` }) export class AppComponent { marks: any = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; labels: any = { offset: '88%', step: 10, visible: true }; pointer: any = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20
|
value
|
Number
|
0
|
Sets or gets the value property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxKnob #myKnob [value]="60" [min]="0" [max]="100" [startAngle]="120" [endAngle]="420" [marks]="marks" [labels]="labels" [pointer]="pointer"> </jqxKnob> ` }) export class AppComponent { marks: any = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; labels: any = { offset: '88%', step: 10, visible: true }; pointer: any = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20
|
width
|
String | Number
|
400
|
Sets or gets the width property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxKnob #myKnob [value]="60" [min]="0" [max]="100" [startAngle]="120" [endAngle]="420" [marks]="marks" [labels]="labels" [pointer]="pointer" [width]="500"> </jqxKnob> ` }) export class AppComponent { marks: any = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; labels: any = { offset: '88%', step: 10, visible: true }; pointer: any = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20
|
|
change
|
Event
|
|
This event is triggered when the value is changed.
Code examples
Bind to the change event of jqxKnob.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxKnob #myKnob (onChange)="Change($event)" [value]="60" [min]="0" [max]="100" [startAngle]="120" [endAngle]="420" [marks]="marks" [labels]="labels" [pointer]="pointer"> </jqxKnob> ` }) export class AppComponent { Change(event: any): void { // Do Something } marks: any = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; labels: any = { offset: '88%', step: 10, visible: true }; pointer: any = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20
|
|
Name | Return Type | Arguments |
destroy
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxKnob #myKnob [value]="60" [min]="0" [max]="100" [startAngle]="120" [endAngle]="420" [marks]="marks" [labels]="labels" [pointer]="pointer"> </jqxKnob> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myKnob') myKnob: jqxKnobComponent; ngAfterViewInit(): void { this.myKnob.destroy(); } marks: any = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; labels: any = { offset: '88%', step: 10, visible: true }; pointer: any = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20
|
val
|
Number
|
value: String | Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxKnob #myKnob [value]="60" [min]="0" [max]="100" [startAngle]="120" [endAngle]="420" [marks]="marks" [labels]="labels" [pointer]="pointer"> </jqxKnob> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myKnob') myKnob: jqxKnobComponent; ngAfterViewInit(): void { let value = this.myKnob.val(); } marks: any = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; labels: any = { offset: '88%', step: 10, visible: true }; pointer: any = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20
|

Name | Type | Default |
allowValueChangeOnClick
|
Boolean
|
true
|
Sets or gets the allowValueChangeOnClick property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxKnob from 'jqwidgets-react/react_jqxknob.js'; class App extends React.Component { render() { let marks = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; let labels = { offset: '88%', step: 10, visible: true }; let pointer = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20 }; return ( <JqxKnob ref= 'myKnob' value={60} min={0} max={100} startAngle={120} endAngle={420} marks={marks} labels={labels} pointer={pointer} allowValueChangeOnClick={true} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
allowValueChangeOnDrag
|
Boolean
|
true
|
Sets or gets the allowValueChangeOnDrag property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxKnob from 'jqwidgets-react/react_jqxknob.js'; class App extends React.Component { render() { let marks = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; let labels = { offset: '88%', step: 10, visible: true }; let pointer = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20 }; return ( <JqxKnob ref= 'myKnob' value={60} min={0} max={100} startAngle={120} endAngle={420} marks={marks} labels={labels} pointer={pointer} allowValueChangeOnDrag={true} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
allowValueChangeOnMouseWheel
|
Boolean
|
true
|
Sets or gets the allowValueChangeOnMouseWheel property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxKnob from 'jqwidgets-react/react_jqxknob.js'; class App extends React.Component { render() { let marks = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; let labels = { offset: '88%', step: 10, visible: true }; let pointer = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20 }; return ( <JqxKnob ref= 'myKnob' value={60} min={0} max={100} startAngle={120} endAngle={420} marks={marks} labels={labels} pointer={pointer} allowValueChangeOnMouseWheel={true} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
changing
|
Function
|
null
|
Sets or gets the changing property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxKnob from 'jqwidgets-react/react_jqxknob.js'; class App extends React.Component { render() { let marks = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; let labels = { offset: '88%', step: 10, visible: true }; let pointer = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20 }; return ( <JqxKnob ref= 'myKnob' value={60} min={0} max={100} startAngle={120} endAngle={420} marks={marks} labels={labels} pointer={pointer} changing={changing} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
dragEndAngle
|
Number
|
0
|
Sets or gets the dragEndAngle property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxKnob from 'jqwidgets-react/react_jqxknob.js'; class App extends React.Component { render() { let marks = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; let labels = { offset: '88%', step: 10, visible: true }; let pointer = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20 }; return ( <JqxKnob ref= 'myKnob' value={60} min={0} max={100} startAngle={120} endAngle={420} marks={marks} labels={labels} pointer={pointer} dragEndAngle={420} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
dragStartAngle
|
Number
|
360
|
Sets or gets the dragStartAngle property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxKnob from 'jqwidgets-react/react_jqxknob.js'; class App extends React.Component { render() { let marks = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; let labels = { offset: '88%', step: 10, visible: true }; let pointer = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20 }; return ( <JqxKnob ref= 'myKnob' value={60} min={0} max={100} startAngle={120} endAngle={420} marks={marks} labels={labels} pointer={pointer} dragStartAngle={120} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
disabled
|
Boolean
|
false
|
Sets or gets the disabled property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxKnob from 'jqwidgets-react/react_jqxknob.js'; class App extends React.Component { render() { let marks = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; let labels = { offset: '88%', step: 10, visible: true }; let pointer = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20 }; return ( <JqxKnob ref= 'myKnob' value={60} min={0} max={100} startAngle={120} endAngle={420} marks={marks} labels={labels} pointer={pointer} disabled={true} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
dial
|
Object
|
null
|
Sets or gets the dial property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxKnob from 'jqwidgets-react/react_jqxknob.js'; class App extends React.Component { render() { let marks = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; let labels = { offset: '88%', step: 10, visible: true }; let pointer = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20 }; return ( <JqxKnob ref= 'myKnob' value={60} min={0} max={100} startAngle={120} endAngle={420} marks={marks} labels={labels} pointer={pointer} dial={dial} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
endAngle
|
Number
|
360
|
Sets or gets the endAngle property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxKnob from 'jqwidgets-react/react_jqxknob.js'; class App extends React.Component { render() { let marks = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; let labels = { offset: '88%', step: 10, visible: true }; let pointer = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20 }; return ( <JqxKnob ref= 'myKnob' value={60} min={0} max={100} startAngle={120} endAngle={420} marks={marks} labels={labels} pointer={pointer} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
height
|
Number
|
400
|
Sets or gets the height property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxKnob from 'jqwidgets-react/react_jqxknob.js'; class App extends React.Component { render() { let marks = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; let labels = { offset: '88%', step: 10, visible: true }; let pointer = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20 }; return ( <JqxKnob ref= 'myKnob' value={60} min={0} max={100} startAngle={120} endAngle={420} marks={marks} labels={labels} pointer={pointer} height={400} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
labels
|
Object
|
null
|
Sets or gets the labels property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxKnob from 'jqwidgets-react/react_jqxknob.js'; class App extends React.Component { render() { let marks = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; let labels = { offset: '88%', step: 10, visible: true }; let pointer = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20 }; return ( <JqxKnob ref= 'myKnob' value={60} min={0} max={100} startAngle={120} endAngle={420} marks={marks} labels={labels} pointer={pointer} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
marks
|
Object
|
null
|
Sets or gets the marks property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxKnob from 'jqwidgets-react/react_jqxknob.js'; class App extends React.Component { render() { let marks = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; let labels = { offset: '88%', step: 10, visible: true }; let pointer = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20 }; return ( <JqxKnob ref= 'myKnob' value={60} min={0} max={100} startAngle={120} endAngle={420} marks={marks} labels={labels} pointer={pointer} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
min
|
Number
|
0
|
Sets or gets the min property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxKnob from 'jqwidgets-react/react_jqxknob.js'; class App extends React.Component { render() { let marks = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; let labels = { offset: '88%', step: 10, visible: true }; let pointer = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20 }; return ( <JqxKnob ref= 'myKnob' value={60} min={0} max={100} startAngle={120} endAngle={420} marks={marks} labels={labels} pointer={pointer} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
max
|
Number
|
100
|
Sets or gets the max property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxKnob from 'jqwidgets-react/react_jqxknob.js'; class App extends React.Component { render() { let marks = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; let labels = { offset: '88%', step: 10, visible: true }; let pointer = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20 }; return ( <JqxKnob ref= 'myKnob' value={60} min={0} max={100} startAngle={120} endAngle={420} marks={marks} labels={labels} pointer={pointer} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
progressBar
|
Object
|
null
|
Sets or gets the progressBar property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxKnob from 'jqwidgets-react/react_jqxknob.js'; class App extends React.Component { render() { let marks = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; let labels = { offset: '88%', step: 10, visible: true }; let pointer = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20 }; return ( <JqxKnob ref= 'myKnob' value={60} min={0} max={100} startAngle={120} endAngle={420} marks={marks} labels={labels} pointer={pointer} progressBar={progressBar} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
pointer
|
Object
|
null
|
Sets or gets the pointer property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxKnob from 'jqwidgets-react/react_jqxknob.js'; class App extends React.Component { render() { let marks = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; let labels = { offset: '88%', step: 10, visible: true }; let pointer = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20 }; return ( <JqxKnob ref= 'myKnob' value={60} min={0} max={100} startAngle={120} endAngle={420} marks={marks} labels={labels} pointer={pointer} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
pointerGrabAction
|
String
|
"normal"
|
Sets or gets the pointerGrabAction property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxKnob from 'jqwidgets-react/react_jqxknob.js'; class App extends React.Component { render() { let marks = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; let labels = { offset: '88%', step: 10, visible: true }; let pointer = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20 }; return ( <JqxKnob ref= 'myKnob' value={60} min={0} max={100} startAngle={120} endAngle={420} marks={marks} labels={labels} pointer={pointer} pointerGrabAction={ 'normal'} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
rotation
|
String
|
"clockwise"
|
Sets or gets the rotation property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxKnob from 'jqwidgets-react/react_jqxknob.js'; class App extends React.Component { render() { let marks = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; let labels = { offset: '88%', step: 10, visible: true }; let pointer = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20 }; return ( <JqxKnob ref= 'myKnob' value={60} min={0} max={100} startAngle={120} endAngle={420} marks={marks} labels={labels} pointer={pointer} rotation={ 'counterclockwise'} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
startAngle
|
Number
|
0
|
Sets or gets the startAngle property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxKnob from 'jqwidgets-react/react_jqxknob.js'; class App extends React.Component { render() { let marks = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; let labels = { offset: '88%', step: 10, visible: true }; let pointer = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20 }; return ( <JqxKnob ref= 'myKnob' value={60} min={0} max={100} startAngle={120} endAngle={420} marks={marks} labels={labels} pointer={pointer} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
spinner
|
Object
|
null
|
Sets or gets the spinner property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxKnob from 'jqwidgets-react/react_jqxknob.js'; class App extends React.Component { render() { let marks = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; let labels = { offset: '88%', step: 10, visible: true }; let pointer = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20 }; return ( <JqxKnob ref= 'myKnob' value={60} min={0} max={100} startAngle={120} endAngle={420} marks={marks} labels={labels} pointer={pointer} spinner={spinner} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
style
|
Object
|
null
|
Sets or gets the style property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxKnob from 'jqwidgets-react/react_jqxknob.js'; class App extends React.Component { render() { let marks = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; let labels = { offset: '88%', step: 10, visible: true }; let pointer = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20 }; return ( <JqxKnob ref= 'myKnob' value={60} min={0} max={100} startAngle={120} endAngle={420} marks={marks} labels={labels} pointer={pointer} style={{ stroke: '#dfe3e9', strokeWidth: 3, fill: { color: '#fefefe', gradientType: "linear", gradientStops: [[0, 1], [50, 0.9], [100, 1]] } }} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
step
|
Number
|
1
|
Sets or gets the step property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxKnob from 'jqwidgets-react/react_jqxknob.js'; class App extends React.Component { render() { let marks = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; let labels = { offset: '88%', step: 10, visible: true }; let pointer = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20 }; return ( <JqxKnob ref= 'myKnob' value={60} min={0} max={100} startAngle={120} endAngle={420} marks={marks} labels={labels} pointer={pointer} step={10} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
snapToStep
|
Boolean
|
true
|
Sets or gets the snapToStep property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxKnob from 'jqwidgets-react/react_jqxknob.js'; class App extends React.Component { render() { let marks = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; let labels = { offset: '88%', step: 10, visible: true }; let pointer = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20 }; return ( <JqxKnob ref= 'myKnob' value={60} min={0} max={100} startAngle={120} endAngle={420} marks={marks} labels={labels} pointer={pointer} snapToStep={false} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
value
|
Number
|
0
|
Sets or gets the value property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxKnob from 'jqwidgets-react/react_jqxknob.js'; class App extends React.Component { render() { let marks = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; let labels = { offset: '88%', step: 10, visible: true }; let pointer = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20 }; return ( <JqxKnob ref= 'myKnob' value={60} min={0} max={100} startAngle={120} endAngle={420} marks={marks} labels={labels} pointer={pointer} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
width
|
Number
|
400
|
Sets or gets the width property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxKnob from 'jqwidgets-react/react_jqxknob.js'; class App extends React.Component { render() { let marks = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; let labels = { offset: '88%', step: 10, visible: true }; let pointer = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20 }; return ( <JqxKnob ref= 'myKnob' value={60} min={0} max={100} startAngle={120} endAngle={420} marks={marks} labels={labels} pointer={pointer} width={500} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
|
change
|
Event
|
|
This event is triggered when the value is changed.
Code examples
Bind to the change event of jqxKnob.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxKnob from 'jqwidgets-react/react_jqxknob.js'; class App extends React.Component { componentDidMount() { this.refs.myKnob.on('change', (event) => { // Do Something... }); } render() { let marks = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; let labels = { offset: '88%', step: 10, visible: true }; let pointer = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20 }; return ( <JqxKnob ref= 'myKnob' value={60} min={0} max={100} startAngle={120} endAngle={420} marks={marks} labels={labels} pointer={pointer} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
|
Name | Return Type |
destroy
|
None
|
import React from 'react'; import ReactDOM from 'react-dom'; import JqxKnob from 'jqwidgets-react/react_jqxknob.js'; class App extends React.Component { componentDidMount() { this.refs.myKnob.destroy(); } render() { let marks = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; let labels = { offset: '88%', step: 10, visible: true }; let pointer = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20 }; return ( <JqxKnob ref= 'myKnob' value={60} min={0} max={100} startAngle={120} endAngle={420} marks={marks} labels={labels} pointer={pointer} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
val
|
Number
|
import React from 'react'; import ReactDOM from 'react-dom'; import JqxKnob from 'jqwidgets-react/react_jqxknob.js'; class App extends React.Component { componentDidMount() { let value = this.refs.myKnob.val(); } render() { let marks = { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }; let labels = { offset: '88%', step: 10, visible: true }; let pointer = { type: 'arrow', style: { fill: '#00a4e1', stroke: 'grey' }, size: '59%', offset: '49%', thickness: 20 }; return ( <JqxKnob ref= 'myKnob' value={60} min={0} max={100} startAngle={120} endAngle={420} marks={marks} labels={labels} pointer={pointer} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|

Name | Type | Default |
allowValueChangeOnClick
|
Boolean
|
true
|
Sets or gets whether the jqxKnob's value can be changed on click.
<template> <JqxKnob ref="myKnob" :value="60" :min="0" :max="100" :startAngle="120" :endAngle="420" :snapToStep="true" :rotation="'clockwise'" :pointer="pointer" :progressBar="progressBar" :marks="marks" :labels="labels" :allowValueChangeOnClick="false" :allowValueChangeOnDrag="false" /> </template>
<script> import JqxKnob from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxknob.vue'; export default { components: { JqxKnob }, data: function () { return { styles: { stroke: '#dfe3e9', strokeWidth: 3, fill: { color: '#fefefe', gradientType: "linear", gradientStops: [[0, 1], [50, 0.9], [100, 1]] } }, marks: { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }, labels: { offset: '88%', step: 10, visible: true }, progressBar: { style: { fill: '#00a4e1', stroke: 'grey' }, size: '9%', offset: '60%', background: { fill: 'grey', stroke: 'grey' } }, pointer: { type: 'circle', style: { fill: { color: '#a4a3a3', gradientType: "linear", gradientStops: [[0, 0.5], [50, 0.6], [100, 1]] }, stroke: '#333' }, size: '10%', offset: '50%' } } }, mounted: function () { this.$refs.myKnob.styles = this.styles;
|
allowValueChangeOnDrag
|
Boolean
|
true
|
Sets or gets whether the jqxKnob's value can be changed by dragging the pointer.
<template> <JqxKnob ref="myKnob" :value="60" :min="0" :max="100" :startAngle="120" :endAngle="420" :snapToStep="true" :rotation="'clockwise'" :pointer="pointer" :progressBar="progressBar" :marks="marks" :labels="labels" :allowValueChangeOnClick="false" :allowValueChangeOnDrag="true" /> </template>
<script> import JqxKnob from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxknob.vue'; export default { components: { JqxKnob }, data: function () { return { styles: { stroke: '#dfe3e9', strokeWidth: 3, fill: { color: '#fefefe', gradientType: "linear", gradientStops: [[0, 1], [50, 0.9], [100, 1]] } }, marks: { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }, labels: { offset: '88%', step: 10, visible: true }, progressBar: { style: { fill: '#00a4e1', stroke: 'grey' }, size: '9%', offset: '60%', background: { fill: 'grey', stroke: 'grey' } }, pointer: { type: 'circle', style: { fill: { color: '#a4a3a3', gradientType: "linear", gradientStops: [[0, 0.5], [50, 0.6], [100, 1]] }, stroke: '#333' }, size: '10%', offset: '50%' } } }, mounted: function () { this.$refs.myKnob.styles = this.styles;
|
allowValueChangeOnMouseWheel
|
Boolean
|
true
|
Sets or gets whether the jqxKnob's value can be changed on mouse wheel.
<template> <JqxKnob ref="myKnob" :value="60" :min="0" :max="100" :startAngle="120" :endAngle="420" :snapToStep="true" :rotation="'clockwise'" :pointer="pointer" :progressBar="progressBar" :marks="marks" :labels="labels" :allowValueChangeOnMouseWheel="false" /> </template>
<script> import JqxKnob from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxknob.vue'; export default { components: { JqxKnob }, data: function () { return { styles: { stroke: '#dfe3e9', strokeWidth: 3, fill: { color: '#fefefe', gradientType: "linear", gradientStops: [[0, 1], [50, 0.9], [100, 1]] } }, marks: { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }, labels: { offset: '88%', step: 10, visible: true }, progressBar: { style: { fill: '#00a4e1', stroke: 'grey' }, size: '9%', offset: '60%', background: { fill: 'grey', stroke: 'grey' } }, pointer: { type: 'circle', style: { fill: { color: '#a4a3a3', gradientType: "linear", gradientStops: [[0, 0.5], [50, 0.6], [100, 1]] }, stroke: '#333' }, size: '10%', offset: '50%' } } }, mounted: function () { this.$refs.myKnob.styles = this.styles;
|
changing
|
Function
|
null
|
Sets or gets a function called when the user drags the pointer. The function is called before the pointer is moved and the passed arguments are 2 - oldValue and newValue. If the function returns false, the value will not be changed.
<template> <JqxKnob ref="myKnob" :value="60" :min="0" :max="100" :startAngle="120" :endAngle="420" :snapToStep="true" :rotation="'clockwise'" :pointer="pointer" :progressBar="progressBar" :marks="marks" :labels="labels" :changing="changing" /> </template>
<script> import JqxKnob from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxknob.vue'; export default { components: { JqxKnob }, data: function () { return { styles: { stroke: '#dfe3e9', strokeWidth: 3, fill: { color: '#fefefe', gradientType: "linear", gradientStops: [[0, 1], [50, 0.9], [100, 1]] } }, marks: { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }, labels: { offset: '88%', step: 10, visible: true }, progressBar: { style: { fill: '#00a4e1', stroke: 'grey' }, size: '9%', offset: '60%', background: { fill: 'grey', stroke: 'grey' } }, pointer: { type: 'circle', style: { fill: { color: '#a4a3a3', gradientType: "linear", gradientStops: [[0, 0.5], [50, 0.6], [100, 1]] }, stroke: '#333' }, size: '10%', offset: '50%' } } }, mounted: function () { this.$refs.myKnob.styles = this.styles; }, methods: { changing: function (oldValue, newValue) {
|
dragEndAngle
|
Number
|
0
|
Sets or gets the Knob's angle where dragging the pointer will end.
<template> <JqxKnob ref="myKnob" :value="60" :min="0" :max="100" :startAngle="120" :endAngle="420" :snapToStep="true" :rotation="'clockwise'" :pointer="pointer" :progressBar="progressBar" :marks="marks" :labels="labels" :dragEndAngle="420" /> </template>
<script> import JqxKnob from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxknob.vue'; export default { components: { JqxKnob }, data: function () { return { styles: { stroke: '#dfe3e9', strokeWidth: 3, fill: { color: '#fefefe', gradientType: "linear", gradientStops: [[0, 1], [50, 0.9], [100, 1]] } }, marks: { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }, labels: { offset: '88%', step: 10, visible: true }, progressBar: { style: { fill: '#00a4e1', stroke: 'grey' }, size: '9%', offset: '60%', background: { fill: 'grey', stroke: 'grey' } }, pointer: { type: 'circle', style: { fill: { color: '#a4a3a3', gradientType: "linear", gradientStops: [[0, 0.5], [50, 0.6], [100, 1]] }, stroke: '#333' }, size: '10%', offset: '50%' } } }, mounted: function () { this.$refs.myKnob.styles = this.styles;
|
dragStartAngle
|
Number
|
360
|
Sets or gets the Knob's degrees where dragging the pointer can start.
<template> <JqxKnob ref="myKnob" :value="60" :min="0" :max="100" :startAngle="120" :endAngle="420" :snapToStep="true" :rotation="'clockwise'" :pointer="pointer" :progressBar="progressBar" :marks="marks" :labels="labels" :dragStartAngle="120" /> </template>
<script> import JqxKnob from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxknob.vue'; export default { components: { JqxKnob }, data: function () { return { styles: { stroke: '#dfe3e9', strokeWidth: 3, fill: { color: '#fefefe', gradientType: "linear", gradientStops: [[0, 1], [50, 0.9], [100, 1]] } }, marks: { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }, labels: { offset: '88%', step: 10, visible: true }, progressBar: { style: { fill: '#00a4e1', stroke: 'grey' }, size: '9%', offset: '60%', background: { fill: 'grey', stroke: 'grey' } }, pointer: { type: 'circle', style: { fill: { color: '#a4a3a3', gradientType: "linear", gradientStops: [[0, 0.5], [50, 0.6], [100, 1]] }, stroke: '#333' }, size: '10%', offset: '50%' } } }, mounted: function () { this.$refs.myKnob.styles = this.styles;
|
disabled
|
Boolean
|
false
|
Sets or gets whether the Knob is disabled.
<template> <JqxKnob ref="myKnob" :value="60" :min="0" :max="100" :startAngle="120" :endAngle="420" :snapToStep="true" :rotation="'clockwise'" :pointer="pointer" :progressBar="progressBar" :marks="marks" :labels="labels" :disabled="true" /> </template>
<script> import JqxKnob from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxknob.vue'; export default { components: { JqxKnob }, data: function () { return { styles: { stroke: '#dfe3e9', strokeWidth: 3, fill: { color: '#fefefe', gradientType: "linear", gradientStops: [[0, 1], [50, 0.9], [100, 1]] } }, marks: { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }, labels: { offset: '88%', step: 10, visible: true }, progressBar: { style: { fill: '#00a4e1', stroke: 'grey' }, size: '9%', offset: '60%', background: { fill: 'grey', stroke: 'grey' } }, pointer: { type: 'circle', style: { fill: { color: '#a4a3a3', gradientType: "linear", gradientStops: [[0, 0.5], [50, 0.6], [100, 1]] }, stroke: '#333' }, size: '10%', offset: '50%' } } }, mounted: function () { this.$refs.myKnob.styles = this.styles;
|
dial
|
Object
|
null
|
Sets or gets the Knob's dial.
- innerRadius - specifies the inner Radius of the dial.
- outerRadius - specifies the outer Radius of the dial.
- style - specifies the style of the dial. style.fill - fill color(hex string) or object(object.color(hex color), object.gradientType(linear, linearHorizontal or radial), gradientStops(Array like [[0, 1], [50, 0.5], [100, 1]]), style.stroke - border color(hex string), style.strokeWidth - border width.
- startAngle - dial's start angle(optional).
- endAngle - dial's end angle(optional).
<template> <JqxKnob ref="myKnob" :value="60" :min="0" :max="100" :startAngle="120" :endAngle="420" :snapToStep="true" :rotation="'clockwise'" :pointer="pointer" :progressBar="progressBar" :marks="marks" :labels="labels" :dial="dial" /> </template>
<script> import JqxKnob from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxknob.vue'; export default { components: { JqxKnob }, data: function () { return { dial: { innerRadius: '0%', /*specifies the inner Radius of the dial*/ outerRadius: '65%', /*specifies the outer Radius of the dial*/ style: { stroke: '#ff0000', strokeWidth: 1, fill: { color: '#66707e', gradientType: "linear", gradientStops: [[0, 1], [50, 0.4], [100, 1]] } } }, styles: { stroke: '#dfe3e9', strokeWidth: 3, fill: { color: '#fefefe', gradientType: "linear", gradientStops: [[0, 1], [50, 0.9], [100, 1]] } }, marks: { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }, labels: { offset: '88%', step: 10, visible: true }, progressBar: { style: { fill: '#00a4e1', stroke: 'grey' }, size: '9%', offset: '60%', background: { fill: 'grey', stroke: 'grey' } }, pointer: { type: 'circle', style: { fill: { color: '#a4a3a3', gradientType: "linear", gradientStops: [[0, 0.5], [50, 0.6], [100, 1]] }, stroke: '#333' }, size: '10%', offset: '50%' } } }, mounted: function () { this.$refs.myKnob.styles = this.styles;
|
endAngle
|
Number
|
360
|
Sets or gets the Knob's degrees offset for the 360 location.
<template> <JqxKnob ref="myKnob" :value="60" :min="0" :max="100" :startAngle="120" :endAngle="420" :snapToStep="true" :rotation="'clockwise'" :pointer="pointer" :progressBar="progressBar" :marks="marks" :labels="labels" /> </template>
<script> import JqxKnob from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxknob.vue'; export default { components: { JqxKnob }, data: function () { return { styles: { stroke: '#dfe3e9', strokeWidth: 3, fill: { color: '#fefefe', gradientType: "linear", gradientStops: [[0, 1], [50, 0.9], [100, 1]] } }, marks: { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }, labels: { offset: '88%', step: 10, visible: true }, progressBar: { style: { fill: '#00a4e1', stroke: 'grey' }, size: '9%', offset: '60%', background: { fill: 'grey', stroke: 'grey' } }, pointer: { type: 'circle', style: { fill: { color: '#a4a3a3', gradientType: "linear", gradientStops: [[0, 0.5], [50, 0.6], [100, 1]] }, stroke: '#333' }, size: '10%', offset: '50%' } } }, mounted: function () { this.$refs.myKnob.styles = this.styles;
|
height
|
Number | String
|
400
|
Sets or gets the Knob's height.
<template> <JqxKnob ref="myKnob" :value="60" :min="0" :max="100" :startAngle="120" :endAngle="420" :snapToStep="true" :rotation="'clockwise'" :pointer="pointer" :progressBar="progressBar" :marks="marks" :labels="labels" :height="400" /> </template>
<script> import JqxKnob from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxknob.vue'; export default { components: { JqxKnob }, data: function () { return { styles: { stroke: '#dfe3e9', strokeWidth: 3, fill: { color: '#fefefe', gradientType: "linear", gradientStops: [[0, 1], [50, 0.9], [100, 1]] } }, marks: { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }, labels: { offset: '88%', step: 10, visible: true }, progressBar: { style: { fill: '#00a4e1', stroke: 'grey' }, size: '9%', offset: '60%', background: { fill: 'grey', stroke: 'grey' } }, pointer: { type: 'circle', style: { fill: { color: '#a4a3a3', gradientType: "linear", gradientStops: [[0, 0.5], [50, 0.6], [100, 1]] }, stroke: '#333' }, size: '10%', offset: '50%' } } }, mounted: function () { this.$refs.myKnob.styles = this.styles;
|
labels
|
Object
|
null
|
Sets or gets the Knob's labels.
<template> <JqxKnob ref="myKnob" :value="60" :min="0" :max="100" :startAngle="120" :endAngle="420" :snapToStep="true" :rotation="'clockwise'" :pointer="pointer" :progressBar="progressBar" :marks="marks" :labels="labels" /> </template>
<script> import JqxKnob from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxknob.vue'; export default { components: { JqxKnob }, data: function () { return { styles: { stroke: '#dfe3e9', strokeWidth: 3, fill: { color: '#fefefe', gradientType: "linear", gradientStops: [[0, 1], [50, 0.9], [100, 1]] } }, marks: { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }, labels: { offset: '88%', step: 10, visible: true }, progressBar: { style: { fill: '#00a4e1', stroke: 'grey' }, size: '9%', offset: '60%', background: { fill: 'grey', stroke: 'grey' } }, pointer: { type: 'circle', style: { fill: { color: '#a4a3a3', gradientType: "linear", gradientStops: [[0, 0.5], [50, 0.6], [100, 1]] }, stroke: '#333' }, size: '10%', offset: '50%' } } }, mounted: function () { this.$refs.myKnob.styles = this.styles;
|
marks
|
Object
|
null
|
Sets or gets the Knob's marks.
- colorProgress - hex color string.
- colorRemaining - hex color string.
- drawAboveProgressBar - draws the marks with z-index higher than the progress bar.
- minorInterval - minor ticks interval.
- majorInterval - major ticks interval.
- majorSize - major tick's size. Specifies radius in case of circular lines, or length in case of lines.
- offset - specifies the labels offset.
- size - specifies radius in case of circular lines, or length in case of lines.
- type - "circle" or "line".
- thickness - specifies thickness in case of lines.
- visible - determines the labels visibility.
<template> <JqxKnob ref="myKnob" :value="60" :min="0" :max="100" :startAngle="120" :endAngle="420" :snapToStep="true" :rotation="'clockwise'" :pointer="pointer" :progressBar="progressBar" :marks="marks" :labels="labels" /> </template>
<script> import JqxKnob from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxknob.vue'; export default { components: { JqxKnob }, data: function () { return { styles: { stroke: '#dfe3e9', strokeWidth: 3, fill: { color: '#fefefe', gradientType: "linear", gradientStops: [[0, 1], [50, 0.9], [100, 1]] } }, marks: { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }, labels: { offset: '88%', step: 10, visible: true }, progressBar: { style: { fill: '#00a4e1', stroke: 'grey' }, size: '9%', offset: '60%', background: { fill: 'grey', stroke: 'grey' } }, pointer: { type: 'circle', style: { fill: { color: '#a4a3a3', gradientType: "linear", gradientStops: [[0, 0.5], [50, 0.6], [100, 1]] }, stroke: '#333' }, size: '10%', offset: '50%' } } }, mounted: function () { this.$refs.myKnob.styles = this.styles;
|
min
|
Number
|
0
|
Sets or gets the Knob's min property.
<template> <JqxKnob ref="myKnob" :value="60" :min="0" :max="100" :startAngle="120" :endAngle="420" :snapToStep="true" :rotation="'clockwise'" :pointer="pointer" :progressBar="progressBar" :marks="marks" :labels="labels" /> </template>
<script> import JqxKnob from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxknob.vue'; export default { components: { JqxKnob }, data: function () { return { styles: { stroke: '#dfe3e9', strokeWidth: 3, fill: { color: '#fefefe', gradientType: "linear", gradientStops: [[0, 1], [50, 0.9], [100, 1]] } }, marks: { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }, labels: { offset: '88%', step: 10, visible: true }, progressBar: { style: { fill: '#00a4e1', stroke: 'grey' }, size: '9%', offset: '60%', background: { fill: 'grey', stroke: 'grey' } }, pointer: { type: 'circle', style: { fill: { color: '#a4a3a3', gradientType: "linear", gradientStops: [[0, 0.5], [50, 0.6], [100, 1]] }, stroke: '#333' }, size: '10%', offset: '50%' } } }, mounted: function () { this.$refs.myKnob.styles = this.styles;
|
max
|
Number
|
100
|
Sets or gets the Knob's max property.
<template> <JqxKnob ref="myKnob" :value="60" :min="0" :max="100" :startAngle="120" :endAngle="420" :snapToStep="true" :rotation="'clockwise'" :pointer="pointer" :progressBar="progressBar" :marks="marks" :labels="labels" /> </template>
<script> import JqxKnob from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxknob.vue'; export default { components: { JqxKnob }, data: function () { return { styles: { stroke: '#dfe3e9', strokeWidth: 3, fill: { color: '#fefefe', gradientType: "linear", gradientStops: [[0, 1], [50, 0.9], [100, 1]] } }, marks: { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }, labels: { offset: '88%', step: 10, visible: true }, progressBar: { style: { fill: '#00a4e1', stroke: 'grey' }, size: '9%', offset: '60%', background: { fill: 'grey', stroke: 'grey' } }, pointer: { type: 'circle', style: { fill: { color: '#a4a3a3', gradientType: "linear", gradientStops: [[0, 0.5], [50, 0.6], [100, 1]] }, stroke: '#333' }, size: '10%', offset: '50%' } } }, mounted: function () { this.$refs.myKnob.styles = this.styles;
|
progressBar
|
Object
|
null
|
Sets or gets the Knob's progressBar property.
- offset - specifies the progress bar's offset.
- style - specifies the style of the progressBar. style.fill - fill color(hex string) or object(object.color(hex color), object.gradientType(linear, linearHorizontal or radial), gradientStops(Array like [[0, 1], [50, 0.5], [100, 1]]), style.stroke - border color(hex string), style.strokeWidth - border width, style.opacity - opacity values from 0 to 1
- background - specifies the background style of the progressBar. background.fill - fill color(hex string) or object(object.color(hex color), object.gradientType(linear, linearHorizontal or radial), gradientStops(Array like [[0, 1], [50, 0.5], [100, 1]]), style.stroke - border color(hex string), background.strokeWidth - border width, background.opacity - opacity values from 0 to 1
- size - specifies the progress bar's size.
- ranges - array which specify the progress bar's ranges. object.startValue - range start value. range.endValue - range end value. style.fill - fill color(hex string) or object(object.color(hex color), object.gradientType(linear, linearHorizontal or radial), gradientStops(Array like [[0, 1], [50, 0.5], [100, 1]]), object.stroke - border color(hex string), object.strokeWidth - border width, object.opacity - opacity values from 0 to 1
<template> <JqxKnob ref="myKnob" :value="60" :min="0" :max="100" :startAngle="120" :endAngle="420" :snapToStep="true" :rotation="'clockwise'" :pointer="pointer" :progressBar="progressBar" :marks="marks" :labels="labels" /> </template>
<script> import JqxKnob from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxknob.vue'; export default { components: { JqxKnob }, data: function () { return { styles: { stroke: '#dfe3e9', strokeWidth: 3, fill: { color: '#fefefe', gradientType: "linear", gradientStops: [[0, 1], [50, 0.9], [100, 1]] } }, marks: { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }, labels: { offset: '88%', step: 10, visible: true }, progressBar: { style: { fill: '#00a4e1', stroke: 'grey' }, size: '9%', offset: '60%', background: { fill: 'grey', stroke: 'grey' } }, pointer: { type: 'circle', style: { fill: { color: '#a4a3a3', gradientType: "linear", gradientStops: [[0, 0.5], [50, 0.6], [100, 1]] }, stroke: '#333' }, size: '10%', offset: '50%' } } }, mounted: function () { this.$refs.myKnob.styles = this.styles;
|
pointer
|
Array | Object
|
null
|
Sets or gets the Knob's pointer property.
- type - specifies the pointer's type - "circle", "line", "arrow".
- style - specifies the style of the pointer. style.fill - fill color(hex string) or object(object.color(hex color), object.gradientType(linear, linearHorizontal or radial), gradientStops(Array like [[0, 1], [50, 0.5], [100, 1]]), style.stroke - border color(hex string), style.strokeWidth - border width.
- size - specifies the pointer's size.
- thickness - specifies the pointer's thickness.
- visible - specifies whether the pointer is visible.
<template> <JqxKnob ref="myKnob" :value="60" :min="0" :max="100" :startAngle="120" :endAngle="420" :snapToStep="true" :rotation="'clockwise'" :pointer="pointer" :progressBar="progressBar" :marks="marks" :labels="labels" /> </template>
<script> import JqxKnob from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxknob.vue'; export default { components: { JqxKnob }, data: function () { return { styles: { stroke: '#dfe3e9', strokeWidth: 3, fill: { color: '#fefefe', gradientType: "linear", gradientStops: [[0, 1], [50, 0.9], [100, 1]] } }, marks: { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }, labels: { offset: '88%', step: 10, visible: true }, progressBar: { style: { fill: '#00a4e1', stroke: 'grey' }, size: '9%', offset: '60%', background: { fill: 'grey', stroke: 'grey' } }, pointer: { type: 'circle', style: { fill: { color: '#a4a3a3', gradientType: "linear", gradientStops: [[0, 0.5], [50, 0.6], [100, 1]] }, stroke: '#333' }, size: '10%', offset: '50%' } } }, mounted: function () { this.$refs.myKnob.styles = this.styles;
|
pointerGrabAction
|
String
|
"normal"
|
Sets or gets the Knob's pointerGrabAction property("normal", "progressBar", "pointer").
<template> <JqxKnob ref="myKnob" :value="60" :min="0" :max="100" :startAngle="120" :endAngle="420" :snapToStep="true" :rotation="'clockwise'" :pointer="pointer" :progressBar="progressBar" :marks="marks" :labels="labels" :pointerGrabAction="'pointer'" /> </template>
<script> import JqxKnob from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxknob.vue'; export default { components: { JqxKnob }, data: function () { return { styles: { stroke: '#dfe3e9', strokeWidth: 3, fill: { color: '#fefefe', gradientType: "linear", gradientStops: [[0, 1], [50, 0.9], [100, 1]] } }, marks: { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }, labels: { offset: '88%', step: 10, visible: true }, progressBar: { style: { fill: '#00a4e1', stroke: 'grey' }, size: '9%', offset: '60%', background: { fill: 'grey', stroke: 'grey' } }, pointer: { type: 'circle', style: { fill: { color: '#a4a3a3', gradientType: "linear", gradientStops: [[0, 0.5], [50, 0.6], [100, 1]] }, stroke: '#333' }, size: '10%', offset: '50%' } } }, mounted: function () { this.$refs.myKnob.styles = this.styles;
|
rotation
|
String
|
"clockwise"
|
Sets or gets the Knob's rotation("clockwise" or "counterclockwise").
<template> <JqxKnob ref="myKnob" :value="60" :min="0" :max="100" :startAngle="120" :endAngle="420" :snapToStep="true" :rotation="'counterclockwise'" :pointer="pointer" :progressBar="progressBar" :marks="marks" :labels="labels" /> </template>
<script> import JqxKnob from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxknob.vue'; export default { components: { JqxKnob }, data: function () { return { styles: { stroke: '#dfe3e9', strokeWidth: 3, fill: { color: '#fefefe', gradientType: "linear", gradientStops: [[0, 1], [50, 0.9], [100, 1]] } }, marks: { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }, labels: { offset: '88%', step: 10, visible: true }, progressBar: { style: { fill: '#00a4e1', stroke: 'grey' }, size: '9%', offset: '60%', background: { fill: 'grey', stroke: 'grey' } }, pointer: { type: 'circle', style: { fill: { color: '#a4a3a3', gradientType: "linear", gradientStops: [[0, 0.5], [50, 0.6], [100, 1]] }, stroke: '#333' }, size: '10%', offset: '50%' } } }, mounted: function () { this.$refs.myKnob.styles = this.styles;
|
startAngle
|
Number
|
0
|
Sets or gets the Knob's degrees offset for the 0 location.
<template> <JqxKnob ref="myKnob" :value="60" :min="0" :max="100" :startAngle="120" :endAngle="420" :snapToStep="true" :rotation="'clockwise'" :pointer="pointer" :progressBar="progressBar" :marks="marks" :labels="labels" /> </template>
<script> import JqxKnob from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxknob.vue'; export default { components: { JqxKnob }, data: function () { return { styles: { stroke: '#dfe3e9', strokeWidth: 3, fill: { color: '#fefefe', gradientType: "linear", gradientStops: [[0, 1], [50, 0.9], [100, 1]] } }, marks: { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }, labels: { offset: '88%', step: 10, visible: true }, progressBar: { style: { fill: '#00a4e1', stroke: 'grey' }, size: '9%', offset: '60%', background: { fill: 'grey', stroke: 'grey' } }, pointer: { type: 'circle', style: { fill: { color: '#a4a3a3', gradientType: "linear", gradientStops: [[0, 0.5], [50, 0.6], [100, 1]] }, stroke: '#333' }, size: '10%', offset: '50%' } } }, mounted: function () { this.$refs.myKnob.styles = this.styles;
|
spinner
|
Object
|
null
|
Sets or gets Knob's spinner.
- innerRadius - specifies the inner Radius of the spinner.
- outerRadius - specifies the outer Radius of the spinner.
- style - specifies the style of the spinner. style.fill - fill color(hex string) or object(object.color(hex color), object.gradientType(linear, linearHorizontal or radial), gradientStops(Array like [[0, 1], [50, 0.5], [100, 1]]), style.stroke - border color(hex string), style.strokeWidth - border width.
- marks -
- rotate - sets whether spinner marks rotate with pointer.
- colorProgress - hex color string.
- colorRemaining - hex color string.
- drawAboveProgressBar - draws the marks with z-index higher than the progress bar.
- minorInterval - minor ticks interval.
- majorInterval - major ticks interval.
- majorSize - major tick's size. Specifies radius in case of circular lines, or length in case of lines.
- offset - specifies the labels offset.
- size - specifies radius in case of circular lines, or length in case of lines.
- type - "circle" or "line".
- thickness - specifies thickness in case of lines.
- visible - determines the labels visibility.
<template> <JqxKnob ref="myKnob" :value="60" :min="0" :max="100" :startAngle="120" :endAngle="420" :snapToStep="true" :rotation="'clockwise'" :pointer="pointer" :progressBar="progressBar" :marks="marks" :labels="labels" :spinner="spinner" /> </template>
<script> import JqxKnob from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxknob.vue'; export default { components: { JqxKnob }, data: function () { return { spinner: { style: { fill: { color: '#a2da39', gradientType: "linear", gradientStops: [[0, 1], [50, 0.9], [100, 1]] }, stroke: '#00a4e1' }, innerRadius: '45%', /*specifies the inner Radius of the dial*/ outerRadius: '60%', /*specifies the outer Radius of the dial*/ marks: { colorRemaining: '#fff', colorProgress: '#fff', type: 'line', offset: '46%', thickness: 2, size: '14%', majorSize: '14%', majorInterval: 10, minorInterval: 10 }, }, styles: { stroke: '#dfe3e9', strokeWidth: 3, fill: { color: '#fefefe', gradientType: "linear", gradientStops: [[0, 1], [50, 0.9], [100, 1]] } }, marks: { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }, labels: { offset: '88%', step: 10, visible: true }, progressBar: { style: { fill: '#00a4e1', stroke: 'grey' }, size: '9%', offset: '60%', background: { fill: 'grey', stroke: 'grey' } }, pointer: { type: 'circle', style: { fill: { color: '#a4a3a3', gradientType: "linear", gradientStops: [[0, 0.5], [50, 0.6], [100, 1]] }, stroke: '#333' }, size: '10%', offset: '50%' } } }, mounted: function () { this.$refs.myKnob.styles = this.styles;
|
styles
|
Object
|
null
|
Sets or gets the Knob's background style.
- fill - fill color(hex string) or object(object.color(hex color), object.gradientType(linear, linearHorizontal or radial), gradientStops(Array like [[0, 1], [50, 0.5], [100, 1]])
- stroke - border color(hex string).
- strokeWidth - border width.
<template> <JqxKnob ref="myKnob" :value="60" :min="0" :max="100" :startAngle="120" :endAngle="420" :snapToStep="true" :rotation="'clockwise'" :pointer="pointer" :progressBar="progressBar" :marks="marks" :labels="labels" /> </template>
<script> import JqxKnob from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxknob.vue'; export default { components: { JqxKnob }, data: function () { return { styles: { stroke: '#dfe3e9', strokeWidth: 3, fill: { color: '#fefefe', gradientType: "linear", gradientStops: [[0, 1], [50, 0.9], [100, 1]] } }, marks: { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }, labels: { offset: '88%', step: 10, visible: true }, progressBar: { style: { fill: '#00a4e1', stroke: 'grey' }, size: '9%', offset: '60%', background: { fill: 'grey', stroke: 'grey' } }, pointer: { type: 'circle', style: { fill: { color: '#a4a3a3', gradientType: "linear", gradientStops: [[0, 0.5], [50, 0.6], [100, 1]] }, stroke: '#333' }, size: '10%', offset: '50%' } } }, mounted: function () { this.$refs.myKnob.styles = this.styles;
|
step
|
Number | String
|
1
|
Sets or gets the Knob's step property. Specifies the increase/decrease step.
<template> <JqxKnob ref="myKnob" :value="60" :min="0" :max="100" :startAngle="120" :endAngle="420" :snapToStep="true" :rotation="'clockwise'" :pointer="pointer" :progressBar="progressBar" :marks="marks" :labels="labels" :step="10" /> </template>
<script> import JqxKnob from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxknob.vue'; export default { components: { JqxKnob }, data: function () { return { styles: { stroke: '#dfe3e9', strokeWidth: 3, fill: { color: '#fefefe', gradientType: "linear", gradientStops: [[0, 1], [50, 0.9], [100, 1]] } }, marks: { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }, labels: { offset: '88%', step: 10, visible: true }, progressBar: { style: { fill: '#00a4e1', stroke: 'grey' }, size: '9%', offset: '60%', background: { fill: 'grey', stroke: 'grey' } }, pointer: { type: 'circle', style: { fill: { color: '#a4a3a3', gradientType: "linear", gradientStops: [[0, 0.5], [50, 0.6], [100, 1]] }, stroke: '#333' }, size: '10%', offset: '50%' } } }, mounted: function () { this.$refs.myKnob.styles = this.styles;
|
snapToStep
|
Boolean
|
true
|
Sets or gets the Knob's snapToStep property. Specifies whether setting the knob value will snap to the closest step true/false.
<template> <JqxKnob ref="myKnob" :value="60" :min="0" :max="100" :startAngle="120" :endAngle="420" :snapToStep="false" :rotation="'clockwise'" :pointer="pointer" :progressBar="progressBar" :marks="marks" :labels="labels" /> </template>
<script> import JqxKnob from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxknob.vue'; export default { components: { JqxKnob }, data: function () { return { styles: { stroke: '#dfe3e9', strokeWidth: 3, fill: { color: '#fefefe', gradientType: "linear", gradientStops: [[0, 1], [50, 0.9], [100, 1]] } }, marks: { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }, labels: { offset: '88%', step: 10, visible: true }, progressBar: { style: { fill: '#00a4e1', stroke: 'grey' }, size: '9%', offset: '60%', background: { fill: 'grey', stroke: 'grey' } }, pointer: { type: 'circle', style: { fill: { color: '#a4a3a3', gradientType: "linear", gradientStops: [[0, 0.5], [50, 0.6], [100, 1]] }, stroke: '#333' }, size: '10%', offset: '50%' } } }, mounted: function () { this.$refs.myKnob.styles = this.styles;
|
value
|
Number | Array
|
0
|
Sets or gets the Knob's value.
<template> <JqxKnob ref="myKnob" :value="60" :min="0" :max="100" :startAngle="120" :endAngle="420" :snapToStep="true" :rotation="'clockwise'" :pointer="pointer" :progressBar="progressBar" :marks="marks" :labels="labels" /> </template>
<script> import JqxKnob from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxknob.vue'; export default { components: { JqxKnob }, data: function () { return { styles: { stroke: '#dfe3e9', strokeWidth: 3, fill: { color: '#fefefe', gradientType: "linear", gradientStops: [[0, 1], [50, 0.9], [100, 1]] } }, marks: { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }, labels: { offset: '88%', step: 10, visible: true }, progressBar: { style: { fill: '#00a4e1', stroke: 'grey' }, size: '9%', offset: '60%', background: { fill: 'grey', stroke: 'grey' } }, pointer: { type: 'circle', style: { fill: { color: '#a4a3a3', gradientType: "linear", gradientStops: [[0, 0.5], [50, 0.6], [100, 1]] }, stroke: '#333' }, size: '10%', offset: '50%' } } }, mounted: function () { this.$refs.myKnob.styles = this.styles;
|
width
|
Number | String
|
400
|
Sets or gets the Knob's width.
<template> <JqxKnob ref="myKnob" :value="60" :min="0" :max="100" :startAngle="120" :endAngle="420" :snapToStep="true" :rotation="'clockwise'" :pointer="pointer" :progressBar="progressBar" :marks="marks" :labels="labels" :width="500" /> </template>
<script> import JqxKnob from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxknob.vue'; export default { components: { JqxKnob }, data: function () { return { styles: { stroke: '#dfe3e9', strokeWidth: 3, fill: { color: '#fefefe', gradientType: "linear", gradientStops: [[0, 1], [50, 0.9], [100, 1]] } }, marks: { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }, labels: { offset: '88%', step: 10, visible: true }, progressBar: { style: { fill: '#00a4e1', stroke: 'grey' }, size: '9%', offset: '60%', background: { fill: 'grey', stroke: 'grey' } }, pointer: { type: 'circle', style: { fill: { color: '#a4a3a3', gradientType: "linear", gradientStops: [[0, 0.5], [50, 0.6], [100, 1]] }, stroke: '#333' }, size: '10%', offset: '50%' } } }, mounted: function () { this.$refs.myKnob.styles = this.styles;
|
|
change
|
Event
|
|
This event is triggered when the value is changed.
Code examples
Bind to the change event of jqxKnob.
<template> <JqxKnob ref="myKnob" @change="onChange($event)" :value="60" :min="0" :max="100" :startAngle="120" :endAngle="420" :snapToStep="true" :rotation="'clockwise'" :pointer="pointer" :progressBar="progressBar" :marks="marks" :labels="labels" /> </template>
<script> import JqxKnob from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxknob.vue'; export default { components: { JqxKnob }, data: function () { return { styles: { stroke: '#dfe3e9', strokeWidth: 3, fill: { color: '#fefefe', gradientType: "linear", gradientStops: [[0, 1], [50, 0.9], [100, 1]] } }, marks: { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }, labels: { offset: '88%', step: 10, visible: true }, progressBar: { style: { fill: '#00a4e1', stroke: 'grey' }, size: '9%', offset: '60%', background: { fill: 'grey', stroke: 'grey' } }, pointer: { type: 'circle', style: { fill: { color: '#a4a3a3', gradientType: "linear", gradientStops: [[0, 0.5], [50, 0.6], [100, 1]] }, stroke: '#333' }, size: '10%', offset: '50%' } } }, mounted: function () { this.$refs.myKnob.styles = this.styles; }, methods: { onChange: function (event) { alert( 'do something...');
|
|
Name | Arguments | Return Type |
destroy
|
None
|
None
|
Destroys the widget.
<template> <JqxKnob ref="myKnob" :value="60" :min="0" :max="100" :startAngle="120" :endAngle="420" :snapToStep="true" :rotation="'clockwise'" :pointer="pointer" :progressBar="progressBar" :marks="marks" :labels="labels" /> </template>
<script> import JqxKnob from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxknob.vue'; export default { components: { JqxKnob }, data: function () { return { styles: { stroke: '#dfe3e9', strokeWidth: 3, fill: { color: '#fefefe', gradientType: "linear", gradientStops: [[0, 1], [50, 0.9], [100, 1]] } }, marks: { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }, labels: { offset: '88%', step: 10, visible: true }, progressBar: { style: { fill: '#00a4e1', stroke: 'grey' }, size: '9%', offset: '60%', background: { fill: 'grey', stroke: 'grey' } }, pointer: { type: 'circle', style: { fill: { color: '#a4a3a3', gradientType: "linear", gradientStops: [[0, 0.5], [50, 0.6], [100, 1]] }, stroke: '#333' }, size: '10%', offset: '50%' } } }, mounted: function () { this.$refs.myKnob.styles = this.styles; this.$refs.myKnob.destroy();
|
val
|
value
|
Number
|
Sets or gets the value.
<template> <JqxKnob ref="myKnob" :value="60" :min="0" :max="100" :startAngle="120" :endAngle="420" :snapToStep="true" :rotation="'clockwise'" :pointer="pointer" :progressBar="progressBar" :marks="marks" :labels="labels" /> </template>
<script> import JqxKnob from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxknob.vue'; export default { components: { JqxKnob }, data: function () { return { styles: { stroke: '#dfe3e9', strokeWidth: 3, fill: { color: '#fefefe', gradientType: "linear", gradientStops: [[0, 1], [50, 0.9], [100, 1]] } }, marks: { colorRemaining: { color: 'grey', border: 'grey' }, colorProgress: { color: '#00a4e1', border: '#00a4e1' }, type: 'line', offset: '71%', thickness: 3, size: '6%', majorSize: '9%', majorInterval: 10, minorInterval: 2 }, labels: { offset: '88%', step: 10, visible: true }, progressBar: { style: { fill: '#00a4e1', stroke: 'grey' }, size: '9%', offset: '60%', background: { fill: 'grey', stroke: 'grey' } }, pointer: { type: 'circle', style: { fill: { color: '#a4a3a3', gradientType: "linear", gradientStops: [[0, 0.5], [50, 0.6], [100, 1]] }, stroke: '#333' }, size: '10%', offset: '50%' } } }, mounted: function () { this.$refs.myKnob.val(100);
|